ros-kinetic-costmap-2d (1.14.9-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2021 05:00:00 -0000

ros-kinetic-costmap-2d (1.14.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-kinetic-costmap-2d (1.14.7-1xenial) xenial; urgency=high

  * fix usage of size_locked, fixes #959 <https://github.com/ros-planning/navigation/issues/959> (#966 <https://github.com/ros-planning/navigation/issues/966>) (#972 <https://github.com/ros-planning/navigation/issues/972>)
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-kinetic-costmap-2d (1.14.6-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-kinetic-costmap-2d (1.14.5-1xenial) xenial; urgency=high

  * Changed logic for when to resize layered costmap in static layer (#792 <https://github.com/ros-planning/navigation/issues/792>)
    * Changed logic for when to resize layered costmap in static layer
    -Now the master layered costmap should no longer get resized when
    isSizeLocked returns true
    * Fixing format for if loop
  * [kinetic] Fix Bounds Bug (plus test) (#871 <https://github.com/ros-planning/navigation/issues/871>)
    * fix map bounds bug
    * Add test
  * Remove twice calculation of time_diff (#863 <https://github.com/ros-planning/navigation/issues/863>)
  * Merge pull request #841 <https://github.com/ros-planning/navigation/issues/841> from DLu/feature/fix_install
    [kinetic] Fix install
  * Fix install
  * Add additional linked libraries (#800 <https://github.com/ros-planning/navigation/issues/800>)
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson, Stepan Kostusiev

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-kinetic-costmap-2d (1.14.4-1xenial) xenial; urgency=high

  * Merge pull request #693 <https://github.com/ros-planning/navigation/issues/693> from ros-planning/kinetic_691
    costmap variable init & cleanup (forward port of #691 <https://github.com/ros-planning/navigation/issues/691>)
  * remove unused got_footprint_
  * initialize all costmap variables
  * Merge pull request #675 <https://github.com/ros-planning/navigation/issues/675> from stereoboy/kinetic-devel_jylee
    Fixed race condition with costmaps in LayeredCostmap::resizeMap()
    LayeredCostmap::updateMap() and LayeredCostmap::resizeMap() write to the master grid costmap.
    And these two functions can be called by different threads at the same time.
    One example of these cases is a race condition between subscriber callback thread
    dealing with dynamically-size-changing static_layer and periodical updateMap() calls from Costmap2DROS thread.
    Under the situation the master grid costmap is not thread-safe.
    LayeredCostmap::updateMap() already used the master grid costmap's lock.
  * Contributors: Jaeyoung Lee, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-kinetic-costmap-2d (1.14.3-1xenial) xenial; urgency=high

  * Merge pull request #672 <https://github.com/ros-planning/navigation/issues/672> from ros-planning/email_update_kinetic
    update maintainer email (kinetic)
  * Fixes #206 <https://github.com/ros-planning/navigation/issues/206> for kinetic (#663 <https://github.com/ros-planning/navigation/issues/663>)
    * Fixes #206 <https://github.com/ros-planning/navigation/issues/206> for kinetic
  * fix 'enable' for static_layer with rolling window (#659 <https://github.com/ros-planning/navigation/issues/659>)
  * Merge pull request #648 <https://github.com/ros-planning/navigation/issues/648> from aaronhoy/kinetic_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, David V. Lu!!, Jannik Abbenseth, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 16 Mar 2018 04:00:00 -0000

ros-kinetic-costmap-2d (1.14.2-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-kinetic-costmap-2d (1.14.1-1xenial) xenial; urgency=high

  * Added parameter for allowing inflation in unknown cells (#564 <https://github.com/ros-planning/navigation/issues/564>)
  * don't update costs if inflation radius is zero
  * Speedup (~60%) inflation layer update (#525 <https://github.com/ros-planning/navigation/issues/525>)
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Added deps to amcl costmap_2d move_base (#512 <https://github.com/ros-planning/navigation/issues/512>)
  * remove GCC warnings
  * Fix CMake warnings
  * renamed targets for message generation (gencpp -> generate_messages_cpp) in order to avoid warnings for non-existing target dependencies
  * Fixed race condition with costmaps
  * Merge pull request #491 <https://github.com/ros-planning/navigation/issues/491> from alexhenning/kinetic-inflation-fix
  * Fixed sign error in inflation layer
  * Adds warning when a layer shrinks the bounds
  * Fixed bug with inflation layer that caused underinflation
  * Fixed bug with artifacts when not current
  * Fix bug with inflation artifacts being left behind
  * Fixes issue with costmaps shearing
  * Made costmap publishing truly lazy
  * Contributors: Alex Henning, Hidde Wieringa, Jorge Santos Simón, Martin Günther, Michael Ferguson, Stephan Opfer, Vincent Rabaud, mryellow

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-kinetic-costmap-2d (1.14.0-1xenial) xenial; urgency=high

  * Reordered initializer list to match order of declarations.
    This avoids compiler warning with some compilers.
  * Made update map threadsafe
    This is necessary for some plugins (e.g. VoxelLayer) that implement a
    thread unsafe updateBounds() function.
  * Fix bug with resetting static layer
    If we don't have a new topic, consider our old data as if it were new.
  * fix resource locations to fix tests
  * Increase time-limit on failing test
  * Merge pull request #388 <https://github.com/ros-planning/navigation/issues/388> from yujinrobot/jade_inflation_ghost_fix
    No more ghosts in the inflation layer
  * Fixes the dynamic reconfigure segfault
    Doing a dynamic reconfigure of the inflation radius recreates
    the cached cost values without first locking a mutex, which causes
    a segfault. This breaks the reconfigure of inflation parameters into
    a separate function and adds a mutex lock.
  * Merge pull request #415 <https://github.com/ros-planning/navigation/issues/415> from alexhenning/jade-fix-multiple-static-layers
    Fixes an issue with having multiple static layers
  * Fixes an issue with having multiple static layers
    If you have a static layer in both the local and global costmaps that
    use the same map topic, there is a race condition that can cause the
    static layer to get stuck after printing Requesting map..... This race
    condition seems to be due to the call to shutdown in deactivate and how
    the NodeHandle handles multiple subscribers under the hood.
    This issue appears to happen about 1 in 1000 times in the setup I was
    testing. This fix has never failed in over 1000000 tests. Instead of
    calling activate and deactivate, the publisher is only recreated if the
    topic has changed. Otherwise, it reuses the old setup.
  * fix related to issue #408 <https://github.com/ros-planning/navigation/issues/408> - With Rolling Window on, costmap_2d not properly updating bounds and costs in the static layer
  * No more ghosts in the inflation layer
    Previous bounds would fit the sensor measurements, and the inflation layer would clear
    out to these, but leave 'ghosts' behind. These ghosts are from two sources - 1) the
    inflation radius and 2) whole obstacles left behind as the robot has moved from the last point.
    The modifications here remember the last bounds and set the new bounds so that a box at least
    large enough to incorporate the old bounds plus the inflation radius is generated.
  * Contributors: Alex Henning, Daniel Stonier, Levon Avagyan, Michael Ferguson, palmieri

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-kinetic-costmap-2d (1.13.1-1xenial) xenial; urgency=high

  * Remove excessive canTransform spam.
  * Fix for #382 <https://github.com/ros-planning/navigation/issues/382>
  * Republish costmap if origin changes
  * Remove Footprint Layer
  * Remove extra sign definition and use proper one when padding footprint
  * fix plugin warnings on throw, closes #205 <https://github.com/ros-planning/navigation/issues/205>
  * initialize publisher variables
  * Look for robot_radius when footprint is not set. #206 <https://github.com/ros-planning/navigation/issues/206>
  * Add a first_map_only parameter so we keep reusing the first received static map
  * Merge pull request #331 <https://github.com/ros-planning/navigation/issues/331> from mikeferguson/static_layer_any_frame
  * support rolling static map in any frame
  * fix destructor of Costmap2D
  * proper locking during costmap update
  * do not resize static map when rolling
  * Static layer works with rolling window now
  * Contributors: Daniel Stonier, David Lu, Jihoon Lee, Michael Ferguson, Rein Appeldoorn, commaster90

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-kinetic-costmap-2d (1.13.0-1xenial) xenial; urgency=high

  * fixed issue with voxel_layer and obstacle_layer both deleting the same dynamic_reconfigure::Server and causing segfaults
  * Fixing various memory freeing operations
  * static_layer: Fix indexing error in OccupancyGridUpdate callback function.
  * Contributors: Alex Bencz, David V. Lu!!, James Servos, Julse, Kaijen Hsiao

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-kinetic-costmap-2d (1.12.0-1xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-kinetic-costmap-2d (1.11.15-1xenial) xenial; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-kinetic-costmap-2d (1.11.14-1xenial) xenial; urgency=high

  * added waitForTransform to bufferCloud to solve extrapolation into the future exception
  * deallocate costmap_ before reallocating
  * prevent div by zero in raytraceLine
  * only prefix sensor_frame when it's not empty
  * tf_prefix support in obstacle_layer
  * remove undefined function updateUsingPlugins
  * remove unused cell_data.h
  * numerous style fixes
  * Contributors: Andrzej Pronobis, David Lu, Jeremie Deray, Mani Monajjemi, Michael Ferguson, enriquefernandez

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-kinetic-costmap-2d (1.11.13-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-kinetic-costmap-2d (1.11.12-1xenial) xenial; urgency=high

  * costmap_2d: export library layers
  * Merge pull request #198 <https://github.com/ros-planning/navigation/issues/198> from kmhallen/hydro-devel
    Fixed costmap_2d clearing from service /move_base/clear_costmaps
  * Costmap Layer comments
  * Add destructors for all of the layers to remove the dynamic parameter clients
  * Add method for removing static observations (for testing)
  * Move testing_helper
  * Initial Clearing Costmap parameter change
  * Fixed costmap_2d clearing from service /move_base/clear_costmaps
  * Contributors: David Lu!!, Kevin Hallenbeck, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-kinetic-costmap-2d (1.11.11-1xenial) xenial; urgency=high

  * removes trailing spaces and empty lines
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-kinetic-costmap-2d (1.11.10-1xenial) xenial; urgency=high

  * Remove unnecessary colons
  * Remove unused robot_radius parameter from dynamic_reconfigure
  * Contributors: Daniel Stonier, David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-kinetic-costmap-2d (1.11.9-1xenial) xenial; urgency=high

  * fix hypot issues, add comments to tests from tracking this down
  * dynamically reconfigure the previously uninitialised variable 'combination_method', closes #187 <https://github.com/ros-planning/navigation/issues/187>.
  * uses ::hypot(x, y) instead of sqrt(x*x, y*y)
  * Contributors: Daniel Stonier, Michael Ferguson, Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-kinetic-costmap-2d (1.11.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-kinetic-costmap-2d (1.11.7-1xenial) xenial; urgency=high

  * uses %u instead of %d for unsigned int
  * update build to find eigen using cmake_modules
  * inflation_layer: place .top() & .pop() calls together
  * add parameter to configure whether full costmap is published each time
  * Contributors: Michael Ferguson, Siegfried-A. Gevatter Pujals, agentx3r, enriquefernandez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-kinetic-costmap-2d (1.11.5-1xenial) xenial; urgency=high

  * Better threading in inflation layer
  * don't set initialized until updateMap is called
  * check whether costmap is initalized before publishing
  * New Overwrite Methods
    updateMap method
    Fix for #68 <https://github.com/ros-planning/navigation/issues/68>
    Fix for inflation memory problems
    InfIsValid #128 <https://github.com/ros-planning/navigation/issues/128>
    Static layer can recieve updates and accept non-lethal values
    Obstacle layer uses track_unknown_space parameter
    Footprint layer is not longer created as top-level layer (used as part of obstacle layer instead)
  * Download test data from download.ros.org instead of willow
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 05:00:00 -0000

ros-kinetic-costmap-2d (1.11.4-1xenial) xenial; urgency=high

  * Improve bounds checking
  * Reimplement Clear Costmaps Service by implementing reset functions in each layer
  * Package URL Updates
  * Additional static layer functionality for receiving updates
  * Misc. Pointcloud fixes
  * Improved eigen alignment problem on 32-bit arch.
  * fixed costmap_2d tests

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000


